Subject: Re: bug#39682: 26.3; Help window for list-packages disabled

From: Tim Johnson <[email-masked]>
Date: Thu, 20 Feb 2020 14:38:41 -0900

Possible solution!

I loaded emacs -q, ran list-packages, look at the info for help-fns+.el 
and understood that it would need to be re-compiled with a newer version 
of emacs.

I just re-compiled help-fns+.el as per instructions in the info file and 
the problem is solved.

I have much snow to shovel here - may not check email for several hours.

Hopefully further testing won't turn up further hiccups.

cheers

tim

On 2/20/20 12:30 PM, Noam Postavsky wrote:
> Tim Johnson <[email-masked]> writes:
>
>> Noam, I am not familiar with edebug.
>>
>> Can you give me some more code examples?
> Basically just put point on the source code of describe-package, and hit
> C-u C-M-x, that will instrument the function.  Then run
> package-menu-describe-package with "?" or however, and you will stop in
> describe-package.  Press space to step through each expression.
>
>> On 2/20/20 11:22 AM, Noam Postavsky wrote:
>>> Tim Johnson <[email-masked]> writes:
>>>
>>>> (package-desc-p (tabulated-list-get-id))
>>>> just returns t
>>>>     message("No package specified")
>>>>     describe-package(#s(package-desc :name ack :version (1 8) :summary...
>>>>     package-menu-describe-package()
>>> Hmm, very strange.  Could you step through describe-package with edebug,
>>> and see how this condition is getting taken, even though package-desc-p
>>> should apparently be returning t?
>>>
>>>     (if (not (or (package-desc-p package) (and package (symbolp package))))
>>>         (message "No package specified")
>>>
>>>
-- 
Tim
tj49.com